Subject: Re: [Simple] MSRP (RFC 4975) question

From: Ben Campbell <[email-masked]>
Date: Tue, 6 Jan 2009 16:16:59 -0600

On Dec 29, 2008, at 10:09 AM, Paul Kyzivat wrote:

> I'm quite sure the intent was that the response may be sent for the  
> chunk in progress.
>
> 	Thanks,
> 	Paul
>

Yes, that was definitely the intent. The "a chunk" in the quoted text  
can certainly still be "the chunk".

> Gilad Govrin wrote:
>> Hi,
>> First of all thanks for the response.
>> Actually I thought about this quote, but from this quote it is not  
>> clear
>> whether the 413 received for the current chunk that is in sending
>> process.
>> Since it says: "while in the process of sending a chunk" and not  
>> "while
>> in the process of sending the chunk".
>> The situation may be sending chunk x and than sending chunk y
>> (interruptible), then receive 413 for chunk x, in this case we must
>> interrupt chunk y.
>> Gilad
>> -----Original Message-----
>> From: Denis Bilenko [mailto:[email-masked]] Sent: Thursday,  
>> December 25, 2008 10:29 AM
>> To: Gilad Govrin
>> Cc: [email-masked]
>> Subject: Re: [Simple] MSRP (RFC 4975) question
>> I think you don't have to wait for a complete chunk in order to  
>> send the
>> response.
>> Here's a quote from RFC that implies that:
>>  If the sender receives the 413 while in the process of sending
>>  a chunk, and the chunk is interruptible, the sender MUST interrupt  
>> it.
>>  (http://tools.ietf.org/html/rfc4975#section-10.5)
>> Gilad Govrin wrote:
>>> Hi All,
>>> Sorry for asking again but I didn't get any response for this one,
>>> does anyone has insights about this one?
>>> I need clarifications for issues raised while implementing RFC 4975
>> MSRP.
>>> In section 7.1.1 the RFC is "strongly recommended" to use
>>> interruptible mechanism, meaning to send chunks greater than 2048  
>>> and
>>> interrupt it when others are waiting to send their own messages on  
>>> the
>>> same connection, and as a result split large messages into fewer
>>> chunks as possible.
>>> Based on this fact, Theoretically, senders that implemented
>>> interruptible mechanism can send 4GB file in one chunk (assuming no
>>> one interrupt it while sending).
>>> The receiver may detect that he don't want to process this message  
>>> the
>>> moment he gets the headers for example unsupported content type.
>>> The question is whether the receiver is allow to send reject  
>>> response
>>> while receiving chunk data, or he should wait for the end-line and
>>> only then send this response?
>>> Thanks in advance,
>>> Gilad
>>>
>>>
>> ------------------------------------------------------------------------
>>> _______________________________________________
>>> Simple mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/simple
>> _______________________________________________
>> Simple mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/simple
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/simple

_______________________________________________
Simple mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/simple